App\Library\Amazon\Classes\BabyProducts:
    xml_root_name: BabyProducts
    properties:
        alertType:
            expose: true
            access_type: public_method
            serialized_name: AlertType
            accessor:
                getter: getAlertType
                setter: setAlertType
            type: string
        assemblyInstructions:
            expose: true
            access_type: public_method
            serialized_name: AssemblyInstructions
            accessor:
                getter: getAssemblyInstructions
                setter: setAssemblyInstructions
            type: string
        assemblyTime:
            expose: true
            access_type: public_method
            serialized_name: AssemblyTime
            accessor:
                getter: getAssemblyTime
                setter: setAssemblyTime
            type: App\Library\Amazon\Classes\AssemblyTimeDimensionType
        awardsWon:
            expose: true
            access_type: public_method
            serialized_name: AwardsWon
            accessor:
                getter: getAwardsWon
                setter: setAwardsWon
            type: string
        baseType:
            expose: true
            access_type: public_method
            serialized_name: BaseType
            accessor:
                getter: getBaseType
                setter: setBaseType
            type: string
        baseWidth:
            expose: true
            access_type: public_method
            serialized_name: BaseWidth
            accessor:
                getter: getBaseWidth
                setter: setBaseWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: App\Library\Amazon\Classes\BatteryLifeDimensionType
        batteryAverageLifeStandby:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeStandby
            accessor:
                getter: getBatteryAverageLifeStandby
                setter: setBatteryAverageLifeStandby
            type: App\Library\Amazon\Classes\BatteryLifeDimensionType
        batteryAverageLifeTalkTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeTalkTime
            accessor:
                getter: getBatteryAverageLifeTalkTime
                setter: setBatteryAverageLifeTalkTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        batteryCapacity:
            expose: true
            access_type: public_method
            serialized_name: BatteryCapacity
            accessor:
                getter: getBatteryCapacity
                setter: setBatteryCapacity
            type: App\Library\Amazon\Classes\BatteryPowerDimensionType
        batteryCellComposition:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellComposition
            accessor:
                getter: getBatteryCellComposition
                setter: setBatteryCellComposition
            type: string
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        batteryDescription:
            expose: true
            access_type: public_method
            serialized_name: BatteryDescription
            accessor:
                getter: getBatteryDescription
                setter: setBatteryDescription
            type: string
        batteryPower:
            expose: true
            access_type: public_method
            serialized_name: BatteryPower
            accessor:
                getter: getBatteryPower
                setter: setBatteryPower
            type: App\Library\Amazon\Classes\BatteryPowerIntegerDimensionType
        bottleNippleType:
            expose: true
            access_type: public_method
            serialized_name: BottleNippleType
            accessor:
                getter: getBottleNippleType
                setter: setBottleNippleType
            type: string
        bottleType:
            expose: true
            access_type: public_method
            serialized_name: BottleType
            accessor:
                getter: getBottleType
                setter: setBottleType
            type: string
        careInstructions:
            expose: true
            access_type: public_method
            serialized_name: CareInstructions
            accessor:
                getter: getCareInstructions
                setter: setCareInstructions
            xml_list:
                inline: true
                entry_name: CareInstructions
            type: array<string>
        carrierWeight:
            expose: true
            access_type: public_method
            serialized_name: CarrierWeight
            accessor:
                getter: getCarrierWeight
                setter: setCarrierWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        carSeatWeightGroupEU:
            expose: true
            access_type: public_method
            serialized_name: CarSeatWeightGroupEU
            accessor:
                getter: getCarSeatWeightGroupEU
                setter: setCarSeatWeightGroupEU
            xml_list:
                inline: true
                entry_name: CarSeatWeightGroupEU
            type: array<string>
        chestSize:
            expose: true
            access_type: public_method
            serialized_name: ChestSize
            accessor:
                getter: getChestSize
                setter: setChestSize
            type: App\Library\Amazon\Classes\ClothingSizeDimensionType
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        colorName:
            expose: true
            access_type: public_method
            serialized_name: ColorName
            accessor:
                getter: getColorName
                setter: setColorName
            type: string
        communicationInterface:
            expose: true
            access_type: public_method
            serialized_name: CommunicationInterface
            accessor:
                getter: getCommunicationInterface
                setter: setCommunicationInterface
            type: string
        compatibleDevices:
            expose: true
            access_type: public_method
            serialized_name: CompatibleDevices
            accessor:
                getter: getCompatibleDevices
                setter: setCompatibleDevices
            type: string
        controlType:
            expose: true
            access_type: public_method
            serialized_name: ControlType
            accessor:
                getter: getControlType
                setter: setControlType
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        cupSize:
            expose: true
            access_type: public_method
            serialized_name: CupSize
            accessor:
                getter: getCupSize
                setter: setCupSize
            type: string
        directions:
            expose: true
            access_type: public_method
            serialized_name: Directions
            accessor:
                getter: getDirections
                setter: setDirections
            type: string
        displaySize:
            expose: true
            access_type: public_method
            serialized_name: DisplaySize
            accessor:
                getter: getDisplaySize
                setter: setDisplaySize
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayType:
            expose: true
            access_type: public_method
            serialized_name: DisplayType
            accessor:
                getter: getDisplayType
                setter: setDisplayType
            type: string
        educationalValue:
            expose: true
            access_type: public_method
            serialized_name: EducationalValue
            accessor:
                getter: getEducationalValue
                setter: setEducationalValue
            type: string
        fillMaterialType:
            expose: true
            access_type: public_method
            serialized_name: FillMaterialType
            accessor:
                getter: getFillMaterialType
                setter: setFillMaterialType
            type: string
        foldedSize:
            expose: true
            access_type: public_method
            serialized_name: FoldedSize
            accessor:
                getter: getFoldedSize
                setter: setFoldedSize
            type: string
        forwardFacingWeight:
            expose: true
            access_type: public_method
            serialized_name: ForwardFacingWeight
            accessor:
                getter: getForwardFacingWeight
                setter: setForwardFacingWeight
            type: App\Library\Amazon\Classes\ForwardFacingWeight
        frequencyBandsSupported:
            expose: true
            access_type: public_method
            serialized_name: FrequencyBandsSupported
            accessor:
                getter: getFrequencyBandsSupported
                setter: setFrequencyBandsSupported
            type: string
        frequencyResponse:
            expose: true
            access_type: public_method
            serialized_name: FrequencyResponse
            accessor:
                getter: getFrequencyResponse
                setter: setFrequencyResponse
            type: App\Library\Amazon\Classes\FrequencyDimensionType
        furnitureFinish:
            expose: true
            access_type: public_method
            serialized_name: FurnitureFinish
            accessor:
                getter: getFurnitureFinish
                setter: setFurnitureFinish
            type: string
        handleHeight:
            expose: true
            access_type: public_method
            serialized_name: HandleHeight
            accessor:
                getter: getHandleHeight
                setter: setHandleHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        hardwareVisibility:
            expose: true
            access_type: public_method
            serialized_name: HardwareVisibility
            accessor:
                getter: getHardwareVisibility
                setter: setHardwareVisibility
            type: string
        harnessType:
            expose: true
            access_type: public_method
            serialized_name: HarnessType
            accessor:
                getter: getHarnessType
                setter: setHarnessType
            type: string
        includesAcAdapter:
            expose: true
            access_type: public_method
            serialized_name: IncludesAcAdapter
            accessor:
                getter: getIncludesAcAdapter
                setter: setIncludesAcAdapter
            type: boolean
        includesRemote:
            expose: true
            access_type: public_method
            serialized_name: IncludesRemote
            accessor:
                getter: getIncludesRemote
                setter: setIncludesRemote
            type: boolean
        ingredients:
            expose: true
            access_type: public_method
            serialized_name: Ingredients
            accessor:
                getter: getIngredients
                setter: setIngredients
            type: string
        isAssemblyRequired:
            expose: true
            access_type: public_method
            serialized_name: IsAssemblyRequired
            accessor:
                getter: getIsAssemblyRequired
                setter: setIsAssemblyRequired
            type: boolean
        isDishwasherSafe:
            expose: true
            access_type: public_method
            serialized_name: IsDishwasherSafe
            accessor:
                getter: getIsDishwasherSafe
                setter: setIsDishwasherSafe
            type: boolean
        isPortable:
            expose: true
            access_type: public_method
            serialized_name: IsPortable
            accessor:
                getter: getIsPortable
                setter: setIsPortable
            type: boolean
        itemDepth:
            expose: true
            access_type: public_method
            serialized_name: ItemDepth
            accessor:
                getter: getItemDepth
                setter: setItemDepth
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameter
            accessor:
                getter: getItemDiameter
                setter: setItemDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        language:
            expose: true
            access_type: public_method
            serialized_name: Language
            accessor:
                getter: getLanguage
                setter: setLanguage
            type: string
        lifestyle:
            expose: true
            access_type: public_method
            serialized_name: Lifestyle
            accessor:
                getter: getLifestyle
                setter: setLifestyle
            xml_list:
                inline: true
                entry_name: Lifestyle
            type: array<string>
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: App\Library\Amazon\Classes\EnergyConsumptionDimensionType
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        manufacturerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyDescription
            accessor:
                getter: getManufacturerWarrantyDescription
                setter: setManufacturerWarrantyDescription
            type: string
        materialComposition:
            expose: true
            access_type: public_method
            serialized_name: MaterialComposition
            accessor:
                getter: getMaterialComposition
                setter: setMaterialComposition
            type: string
        materialType:
            expose: true
            access_type: public_method
            serialized_name: MaterialType
            accessor:
                getter: getMaterialType
                setter: setMaterialType
            type: string
        materialTypeFree:
            expose: true
            access_type: public_method
            serialized_name: MaterialTypeFree
            accessor:
                getter: getMaterialTypeFree
                setter: setMaterialTypeFree
            xml_list:
                inline: true
                entry_name: MaterialTypeFree
            type: array<string>
        maximumAnchoringWeightCapacity:
            expose: true
            access_type: public_method
            serialized_name: MaximumAnchoringWeightCapacity
            accessor:
                getter: getMaximumAnchoringWeightCapacity
                setter: setMaximumAnchoringWeightCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        maximumHeightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: MaximumHeightRecommendation
            accessor:
                getter: getMaximumHeightRecommendation
                setter: setMaximumHeightRecommendation
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumManufacturerAgeRecommended:
            expose: true
            access_type: public_method
            serialized_name: MaximumManufacturerAgeRecommended
            accessor:
                getter: getMaximumManufacturerAgeRecommended
                setter: setMaximumManufacturerAgeRecommended
            type: App\Library\Amazon\Classes\OptionalAgeRecommendedDimensionType
        maximumItemWidth:
            expose: true
            access_type: public_method
            serialized_name: MaximumItemWidth
            accessor:
                getter: getMaximumItemWidth
                setter: setMaximumItemWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumRangeIndoors:
            expose: true
            access_type: public_method
            serialized_name: MaximumRangeIndoors
            accessor:
                getter: getMaximumRangeIndoors
                setter: setMaximumRangeIndoors
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumRangeOpenSpace:
            expose: true
            access_type: public_method
            serialized_name: MaximumRangeOpenSpace
            accessor:
                getter: getMaximumRangeOpenSpace
                setter: setMaximumRangeOpenSpace
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumWeightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: MaximumWeightRecommendation
            accessor:
                getter: getMaximumWeightRecommendation
                setter: setMaximumWeightRecommendation
            type: App\Library\Amazon\Classes\PositiveWeightDimensionType
        mfgWarrantyDescriptionLabor:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionLabor
            accessor:
                getter: getMfgWarrantyDescriptionLabor
                setter: setMfgWarrantyDescriptionLabor
            type: string
        mfgWarrantyDescriptionParts:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionParts
            accessor:
                getter: getMfgWarrantyDescriptionParts
                setter: setMfgWarrantyDescriptionParts
            type: string
        mfgWarrantyDescriptionType:
            expose: true
            access_type: public_method
            serialized_name: MfgWarrantyDescriptionType
            accessor:
                getter: getMfgWarrantyDescriptionType
                setter: setMfgWarrantyDescriptionType
            type: string
        minimumHeightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: MinimumHeightRecommendation
            accessor:
                getter: getMinimumHeightRecommendation
                setter: setMinimumHeightRecommendation
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumManufacturerAgeRecommended:
            expose: true
            access_type: public_method
            serialized_name: MinimumManufacturerAgeRecommended
            accessor:
                getter: getMinimumManufacturerAgeRecommended
                setter: setMinimumManufacturerAgeRecommended
            type: App\Library\Amazon\Classes\OptionalAgeRecommendedDimensionType
        minimumWeightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: MinimumWeightRecommendation
            accessor:
                getter: getMinimumWeightRecommendation
                setter: setMinimumWeightRecommendation
            type: App\Library\Amazon\Classes\PositiveWeightDimensionType
        numberOfChannels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfChannels
            accessor:
                getter: getNumberOfChannels
                setter: setNumberOfChannels
            type: integer
        numberOfControlChannels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfControlChannels
            accessor:
                getter: getNumberOfControlChannels
                setter: setNumberOfControlChannels
            type: integer
        numberOfFrequencyChannels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfFrequencyChannels
            accessor:
                getter: getNumberOfFrequencyChannels
                setter: setNumberOfFrequencyChannels
            type: integer
        numberOfHeightPositions:
            expose: true
            access_type: public_method
            serialized_name: NumberOfHeightPositions
            accessor:
                getter: getNumberOfHeightPositions
                setter: setNumberOfHeightPositions
            type: integer
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        numberOfPieces:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPieces
            accessor:
                getter: getNumberOfPieces
                setter: setNumberOfPieces
            type: integer
        numberOfPlayers:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPlayers
            accessor:
                getter: getNumberOfPlayers
                setter: setNumberOfPlayers
            type: integer
        numberOfPositions:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPositions
            accessor:
                getter: getNumberOfPositions
                setter: setNumberOfPositions
            type: integer
        operationMode:
            expose: true
            access_type: public_method
            serialized_name: OperationMode
            accessor:
                getter: getOperationMode
                setter: setOperationMode
            type: string
        orientation:
            expose: true
            access_type: public_method
            serialized_name: Orientation
            accessor:
                getter: getOrientation
                setter: setOrientation
            type: string
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\BabyProducts\VariationDataAType
        portableDisplaySize:
            expose: true
            access_type: public_method
            serialized_name: PortableDisplaySize
            accessor:
                getter: getPortableDisplaySize
                setter: setPortableDisplaySize
            type: App\Library\Amazon\Classes\LengthDimensionType
        powerSourceType:
            expose: true
            access_type: public_method
            serialized_name: PowerSourceType
            accessor:
                getter: getPowerSourceType
                setter: setPowerSourceType
            type: string
        railGauge:
            expose: true
            access_type: public_method
            serialized_name: RailGauge
            accessor:
                getter: getRailGauge
                setter: setRailGauge
            type: string
        railType:
            expose: true
            access_type: public_method
            serialized_name: RailType
            accessor:
                getter: getRailType
                setter: setRailType
            type: string
        rearFacingMaximumWeight:
            expose: true
            access_type: public_method
            serialized_name: RearFacingMaximumWeight
            accessor:
                getter: getRearFacingMaximumWeight
                setter: setRearFacingMaximumWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        rearFacingMinimumWeight:
            expose: true
            access_type: public_method
            serialized_name: RearFacingMinimumWeight
            accessor:
                getter: getRearFacingMinimumWeight
                setter: setRearFacingMinimumWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        recommendedUsesForProduct:
            expose: true
            access_type: public_method
            serialized_name: RecommendedUsesForProduct
            accessor:
                getter: getRecommendedUsesForProduct
                setter: setRecommendedUsesForProduct
            xml_list:
                inline: true
                entry_name: RecommendedUsesForProduct
            type: array<string>
        regionOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: RegionOfOrigin
            accessor:
                getter: getRegionOfOrigin
                setter: setRegionOfOrigin
            type: string
        remoteControlTechnology:
            expose: true
            access_type: public_method
            serialized_name: RemoteControlTechnology
            accessor:
                getter: getRemoteControlTechnology
                setter: setRemoteControlTechnology
            type: string
        safetyWarning:
            expose: true
            access_type: public_method
            serialized_name: SafetyWarning
            accessor:
                getter: getSafetyWarning
                setter: setSafetyWarning
            type: string
        scaleName:
            expose: true
            access_type: public_method
            serialized_name: ScaleName
            accessor:
                getter: getScaleName
                setter: setScaleName
            type: string
        seatBackInteriorHeight:
            expose: true
            access_type: public_method
            serialized_name: SeatBackInteriorHeight
            accessor:
                getter: getSeatBackInteriorHeight
                setter: setSeatBackInteriorHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        seatHeight:
            expose: true
            access_type: public_method
            serialized_name: SeatHeight
            accessor:
                getter: getSeatHeight
                setter: setSeatHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        seatInteriorWidth:
            expose: true
            access_type: public_method
            serialized_name: SeatInteriorWidth
            accessor:
                getter: getSeatInteriorWidth
                setter: setSeatInteriorWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        seatLength:
            expose: true
            access_type: public_method
            serialized_name: SeatLength
            accessor:
                getter: getSeatLength
                setter: setSeatLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        seatWidth:
            expose: true
            access_type: public_method
            serialized_name: SeatWidth
            accessor:
                getter: getSeatWidth
                setter: setSeatWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        seatingCapacity:
            expose: true
            access_type: public_method
            serialized_name: SeatingCapacity
            accessor:
                getter: getSeatingCapacity
                setter: setSeatingCapacity
            type: integer
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        sensorTechnology:
            expose: true
            access_type: public_method
            serialized_name: SensorTechnology
            accessor:
                getter: getSensorTechnology
                setter: setSensorTechnology
            xml_list:
                inline: true
                entry_name: SensorTechnology
            type: array<string>
        shoulderHarnessMaximumHeight:
            expose: true
            access_type: public_method
            serialized_name: ShoulderHarnessMaximumHeight
            accessor:
                getter: getShoulderHarnessMaximumHeight
                setter: setShoulderHarnessMaximumHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        shoulderHarnessMinimumHeight:
            expose: true
            access_type: public_method
            serialized_name: ShoulderHarnessMinimumHeight
            accessor:
                getter: getShoulderHarnessMinimumHeight
                setter: setShoulderHarnessMinimumHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        sizeName:
            expose: true
            access_type: public_method
            serialized_name: SizeName
            accessor:
                getter: getSizeName
                setter: setSizeName
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            xml_list:
                inline: true
                entry_name: SpecialFeatures
            type: array<string>
        specificUsesForProduct:
            expose: true
            access_type: public_method
            serialized_name: SpecificUsesForProduct
            accessor:
                getter: getSpecificUsesForProduct
                setter: setSpecificUsesForProduct
            xml_list:
                inline: true
                entry_name: SpecificUsesForProduct
            type: array<string>
        specificationMet:
            expose: true
            access_type: public_method
            serialized_name: SpecificationMet
            accessor:
                getter: getSpecificationMet
                setter: setSpecificationMet
            type: string
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            xml_list:
                inline: true
                entry_name: StyleName
            type: array<string>
        subjectCharacter:
            expose: true
            access_type: public_method
            serialized_name: SubjectCharacter
            accessor:
                getter: getSubjectCharacter
                setter: setSubjectCharacter
            xml_list:
                inline: true
                entry_name: SubjectCharacter
            type: array<string>
        suspensionType:
            expose: true
            access_type: public_method
            serialized_name: SuspensionType
            accessor:
                getter: getSuspensionType
                setter: setSuspensionType
            type: string
        targetGender:
            expose: true
            access_type: public_method
            serialized_name: TargetGender
            accessor:
                getter: getTargetGender
                setter: setTargetGender
            type: string
        tireDiameter:
            expose: true
            access_type: public_method
            serialized_name: TireDiameter
            accessor:
                getter: getTireDiameter
                setter: setTireDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        tireMaterial:
            expose: true
            access_type: public_method
            serialized_name: TireMaterial
            accessor:
                getter: getTireMaterial
                setter: setTireMaterial
            type: string
        totalTravel:
            expose: true
            access_type: public_method
            serialized_name: TotalTravel
            accessor:
                getter: getTotalTravel
                setter: setTotalTravel
            type: App\Library\Amazon\Classes\LengthDimensionType
        trayType:
            expose: true
            access_type: public_method
            serialized_name: TrayType
            accessor:
                getter: getTrayType
                setter: setTrayType
            xml_list:
                inline: true
                entry_name: TrayType
            type: array<string>
        unitCount:
            expose: true
            access_type: public_method
            serialized_name: UnitCount
            accessor:
                getter: getUnitCount
                setter: setUnitCount
            type: App\Library\Amazon\Classes\BabyProducts\UnitCountAType
        warrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: WarrantyDescription
            accessor:
                getter: getWarrantyDescription
                setter: setWarrantyDescription
            type: string
        wheelType:
            expose: true
            access_type: public_method
            serialized_name: WheelType
            accessor:
                getter: getWheelType
                setter: setWheelType
            type: string
        wirelessCommunicationTechnology:
            expose: true
            access_type: public_method
            serialized_name: WirelessCommunicationTechnology
            accessor:
                getter: getWirelessCommunicationTechnology
                setter: setWirelessCommunicationTechnology
            type: string
        unknownSubject:
            expose: true
            access_type: public_method
            serialized_name: UnknownSubject
            accessor:
                getter: getUnknownSubject
                setter: setUnknownSubject
            type: string
        engineType:
            expose: true
            access_type: public_method
            serialized_name: EngineType
            accessor:
                getter: getEngineType
                setter: setEngineType
            type: string
        batteryTypeLithiumIon:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumIon
            accessor:
                getter: getBatteryTypeLithiumIon
                setter: setBatteryTypeLithiumIon
            type: integer
        batteryTypeLithiumMetal:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumMetal
            accessor:
                getter: getBatteryTypeLithiumMetal
                setter: setBatteryTypeLithiumMetal
            type: integer
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: integer
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: integer
        distributionDesignation:
            expose: true
            access_type: public_method
            serialized_name: DistributionDesignation
            accessor:
                getter: getDistributionDesignation
                setter: setDistributionDesignation
            type: string
        countryString:
            expose: true
            access_type: public_method
            serialized_name: CountryString
            accessor:
                getter: getCountryString
                setter: setCountryString
            type: string
        formFactor:
            expose: true
            access_type: public_method
            serialized_name: FormFactor
            accessor:
                getter: getFormFactor
                setter: setFormFactor
            type: string
        numberOfDrawers:
            expose: true
            access_type: public_method
            serialized_name: NumberOfDrawers
            accessor:
                getter: getNumberOfDrawers
                setter: setNumberOfDrawers
            type: integer
        numberOfLightSources:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLightSources
            accessor:
                getter: getNumberOfLightSources
                setter: setNumberOfLightSources
            type: integer
        shadeMaterialType:
            expose: true
            access_type: public_method
            serialized_name: ShadeMaterialType
            accessor:
                getter: getShadeMaterialType
                setter: setShadeMaterialType
            type: string
